var modules_tabsByName = {};

function selectTab(name) {
    $("#container").tabs("select", modules_tabsByName[name]);
}

function initTab(id, name) {
    $("#container").append($("<div></div>").attr({id: "container_" + id}));
    $("#container").tabs("add", "#container_" + id, name);
    var index = $("#container").tabs("length") - 1;
    modules_tabsByName[name] = index;
    $("#container_" + id).load("modules/" + id + ".html", null, function(){initTabPhase2(id, index);});
    if(document.createStyleSheet) {
        try { document.createStyleSheet('modules/' + id + '.css'); } catch(e) {}
    } else {
        $("head").append($("<link>").attr({type: 'text/css', rel: 'stylesheet', href: 'modules/' + id + '.css'}));
    }
}

function initTabPhase2(id, index) {
    // rewrite elements in this tab
    // switch to/from this tab so it is visible when the rewriting occurs.
    //
    // Note that rewriting takes place _before_ tab-specific Javascript is
    // executed, so things like sub-tab visibility does not need to be considered...
   
    $("#container").tabs("select", index);
    rewrite("#container_" + id);
    $("#container").tabs("select", 0);

    $.getScript("modules/" + id + ".js", function() {initTabPhase3(id);});
}

function initTabPhase3(id) {
    storage_autoRegister("#container_" + id);
}
