$("#downloaded_uploaded_traffic").tabs({ selected: 0, show: storage_updateAllInstances });
$("#performance_bt").tabs({ selected: 0, show: storage_updateAllInstances });
$("#performance_bt").tabs( "option", "disabled", true );

$('#maxRateHodDescriptionDialog').dialog({
    autoOpen: false,
    modal: true,
    width: 400,
    buttons: {
        "Ok": function() {
            $(this).dialog("close"); 
        }, 
        "Cancel": function() { 
            $(this).dialog("close"); 
        } 
    },
    open: function(event, ui) {
    }
});

$('#maxRateDowDescriptionDialog').dialog({
    autoOpen: false,
    modal: true,
    width: 400,
    buttons: {
        "Ok": function() {
            $(this).dialog("close"); 
        }, 
        "Cancel": function() { 
            $(this).dialog("close"); 
        } 
    },
    open: function(event, ui) {
    }
});

function showTooltip(x, y, contents) {
    $('<div id="tooltip">' + contents + '</div>').css( {
        position: 'absolute',
        display: 'none',
        top: y + 5,
        left: x + 5,
        border: '1px solid #fdd',
        padding: '2px',
       'background-color': '#fee',
        opacity: 0.80
    }).appendTo("body").fadeIn(200);
}

var previousPoint = null;
$(".hoverable").bind("plothover", function (event, pos, item) {
    $("#x").text(pos.x.toFixed(2));
    $("#y").text(pos.y.toFixed(2));

    if (item) {
        if (previousPoint != item.datapoint) {
            previousPoint = item.datapoint;
                    
            $("#tooltip").remove();
            var x = item.datapoint[0].toFixed(2),
                y = item.datapoint[1].toFixed(2);

	    if ( y == -0 ) {
                showTooltip(item.pageX, item.pageY,
                   item.series.label + ": No data");
	    }
	    else {
                showTooltip(item.pageX, item.pageY,
                   item.series.label + ": " + y);
	    }
        }
    }
    else {
        $("#tooltip").remove();
        previousPoint = null;            
    }
});

function dump(obj) {
    var out = '';
    for (var i in obj) {
        out += i + ": " + obj[i] + "\n";
    }

    alert(out);

    // or, if you wanted to avoid alerts...

    var pre = document.createElement('pre');
    pre.innerHTML = out;
    document.body.appendChild(pre)
}

$(".hoverable").bind("mouseout", function (event, pos, item) {
    $("#tooltip").remove();
    previousPoint = null;
});
