package edu.northwestern.dasu.measurement;

import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;

import edu.northwestern.dasu.measurement.SourceType;

public class TestTask {

	public LinkedList<Object> params = null;
	public TestType testType = null;
	public SourceType sourceType = 
		SourceType.RE;			/* to redicrect output for task by the AMC*/	
		
	public TestTask(TestType testType, SourceType sourceType) {
		this.testType = testType;
		this.sourceType = sourceType;
	}
	
	public TestTask(TestType testType, Object[] params) {
		this.params = new LinkedList<Object>(Arrays.asList(params));
		this.testType = testType;
	}
	
	public TestTask(TestType testType, Object[] params, SourceType sourceType) {

		this.params = new LinkedList<Object>(Arrays.asList(params));
		this.testType = testType;
		this.sourceType = sourceType;
	}
	

	@Override
	public String toString() {
		
		return new String("tesType: " + testType + "\nsourceType: " + sourceType + 
				"\nparams: " + params);
		
	}
		
}
