String.prototype.capitalize = function() {
    return this.charAt(0).toUpperCase() + this.slice(1);
}

function fillHomeNetIp(){
    var publicIp = storage_get("net.ip.public");
    var privateIp = storage_get("homenet.router.privateip");
    var newstr = "<div id='HomeNetIpDiv'><table border='0' cellpadding='5'><tr><td>Public IP:</td>";

    if(publicIp != null){
        newstr += "<td>"+publicIp+"</td>";
        //newstr += "<td style='background-color:green' width=10></td></tr>";
    } else {
        newstr += "<td>Not detected</td></tr>";
    }

    if(privateIp != null){
        newstr += "<tr><td>Private IP:</td><td>"+privateIp+"</td></tr>";
    }

    var interfaceName = storage_get("net.interface.name");
    newstr += "<tr><td>Current Network Interface:</td>";
    if(interfaceName != null){
        if(interfaceName != ""){
            newstr += "<td>"+interfaceName+"</td></tr>";
        } else {
            interfaceName += "<td>Name not found</td></tr>"
        }
    } else {
        newstr += "<td>Waiting...</td></tr>";
    }


    var connType = storage_get("homenet.connection.type");
    newstr += "<tr><td>Network Interface Type:</td>";
    if(connType != null){
        newstr += "<td>"+connType.capitalize()+"</td></tr>";
    } else {
        newstr += "<td>Waiting...</td></tr>";
    }

   
    newstr += "</table></div>";
    $("#HomeNetIpDiv").replaceWith(newstr);

}


function fillHomeNetUpnp(){
    var hasUpnp = storage_get("homenet.router.hasupnp");
    var privateIp = storage_get("homenet.router.privateip");

    var newstr = '<div id="HomeNetUpnpBox">';
    if(privateIp != null || (hasUpnp != null && hasUpnp != false)){
        newstr += "<h2>Home Network Router</h2>";
        newstr += "<table border='0' cellpadding='5'><tr><td>UPnP Support:</td>";

        if(hasUpnp != null){
            if(hasUpnp == true){
                newstr += "<td>Enabled</td>";
            } else {
                newstr += "<td>Not Found</td>";
            }
        }
        else {
            newstr +="<td>Checking...</td>";
        }

        var natEnabled = storage_get("homenet.router.natenabled");
        if (natEnabled != null){
            if(natEnabled == 0){
                newstr += "<tr><td>NAT Status:</td><td>Disabled</td></tr>";
            } else if (natEnabled == 1){
                newstr += "<tr><td>NAT Status:</td><td>Enabled</td></tr>";
            } else {
                newstr += "<tr><td>NAT Status:</td><td>" + natEnabled + "</td></tr>";
            }
        }

        var portMappingEnabled = storage_get("homenet.router.portmappingenabled");
        if (portMappingEnabled != null){
            newstr += "<tr><td>Port Mapping Enabled:</td><td>" + portMappingEnabled + "</td></tr>";
        }

        var maxConns = storage_get("homenet.router.maxactiveconnections");
        if (maxConns != null){
            newstr += "<tr><td>Max # of Connections:</td><td>" + maxConns + "</td></tr>";
        }

        newstr += "</table>";
    }
    newstr += "</div>";
    $("#HomeNetUpnpBox").replaceWith(newstr);

}




fillHomeNetIp();
fillHomeNetUpnp();

