$('#changeIspDialog').dialog({ autoOpen: false, modal: true, width: 400,
        buttons: {
        "Cancel": function() {
        $(this).dialog("close");
        },
        
        "Clear": function() {
        clearUserIspName();
        $(this).dialog("close");
        },
        
        "Ok": function(event, ui) {
        // Store a new value
        var newVal = $('#changeIspName').attr('value');
        if($.trim(newVal) == "") { newVal = null; }
        if(newVal == storage_get("net.isp.name")) { newVal = null; }

        if(newVal != storage_get("net.isp.name.user")) {
            storage_update('net.isp.name.user', newVal);
        }
        $(this).dialog("close"); 
        }},
       
        open: function(event, ui) {
        var showVal = storage_get('net.isp.name.user');
        if(showVal == null) {
            showVal = storage_get('net.isp.name');
        }
        $('#changeIspName').attr('value', showVal); }
        });

$('#changeConnectionDialog').dialog({ autoOpen: false, modal: true, width: 400,
        buttons: {
        
        "Ok": function() {
        // get the new values...
        var newVal = $('input[name="connectionType"]:checked').val();
        var newVal2 = null;
        if(newVal == "Other") {
            newVal2 = $("#connectionTypeOther").val();
        }
    
        // Test if the value is effectively "null"
        if(newVal == "Unknown" || (newVal == "Other" && $.trim(newVal2) == "")) {
            clearConnection();
            $(this).dialog("close");
            return;
        }

        // check if the value has changed
        var toStore = [newVal, newVal2];
        var oldVal = storage_get("net.isp.connectionType.user");
        if((oldVal == null && newVal != null) || oldVal[0] != toStore[0] || (oldVal[0] == "Other" && toStore[0] == "Other" && oldVal[1] != toStore[1])) {
            storage_update('net.isp.connectionType.user', toStore);
        }
        $(this).dialog("close"); 
        }, 

        "Cancel": function() { 
        $(this).dialog("close");
        },

        "Clear": function() { 
        clearConnection();
        $(this).dialog("close");
        } 

        },

        open: function(event, ui) {
                  var currentVal = storage_get("net.isp.connectionType.user");
                  if(currentVal == null) return;

                  $("input[name='connectionType'][value='"+currentVal[0]+"']").attr('checked', 'checked');
                  if(currentVal[0] == "Other") {
                      $("#connectionTypeOther").text(currentVal[1]);
                  }
            }
        });

function clearUserIspName() {
    storage_update("net.isp.name.user", null);
}

function updateIspName(obj, key, val) {
    var detected = storage_get("net.isp.name");
    var user = storage_get("net.isp.name.user");
    var output = $("#ispNameDisplay").children().first();

    if(user == null) {
        // Show the ISP's name, and tag it as "detected"
        output.text(detected + " (detected)");
        // Hide the "clear" button
        $("#clearUserIspName").hide();
    } else {
        output.html(user + " <strike>" + detected + "</strike>");
        // Show the "clear" button
        $("#clearUserIspName").show();
    }

}

function updateIspConnectionType(obj, key, val) {
    var typ = storage_get("net.isp.connectionType.user");
    var text = "Unknown";
    if(typ != null) {
        // we have a type that the user has set
        text = typ[0];
        if(typ[0] == "Other" && typ[1] != null) {
            text = typ[1];
        }
        $("#clearConnection").show();
    } else {
        $("#clearConnection").hide();
    }
    $(obj).text(text);
}

function clearConnection() {
    storage_update("net.isp.connectionType.user", null);
}
